Summary: An X Window System version of the Sokoban puzzle game.
Name: xsok
Version: 1.02
Release: 4
Copyright: GPL
Group: Amusements/Games
Source0: ftp://tsx-11.mit.edu/pub/linux/sources/usr.bin.X11/%{name}-%{version}-src.tar.gz
Source1: xsok.desktop
Patch: xsok-%{version}.patch
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
XSokoban is an X Window System version of the Sokoban puzzle game.
The object of the game is to push all the round objects into the score
area of each level using the mouse or the arrow keys. The arrow keys
move the player in the corresponding direction, pushing an object if
it is in the way and there is a clear space on the other side.

%prep
%setup -q
%patch0 -p1 -b .mike

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make "INSTALL_PREFIX=$RPM_BUILD_ROOT" install
gzip -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xsok/*.gz
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
install -m 644 $RPM_SOURCE_DIR/xsok.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Games

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc etc/* doc/xsok.tex README doc/cyberbox.doc
%config /usr/X11R6/lib/X11/app-defaults/XSok
%config /etc/X11/applnk/Games/xsok.desktop
/usr/X11R6/bin/xsok
/usr/X11R6/man/man6/xsok.6x
/usr/X11R6/lib/X11/xsok
%attr(777, root, root) %dir /var/lib/games/xsok
%attr(666, root, root) /var/lib/games/xsok/[A-z]*.score

%changelog
* Tue Jul 27 1999 Tim Powers <timp@redhat.com>
- updated ftp location
- rebuilt for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file, added desktop entry. 

* Sun Jan 03 1999 Karl-Martin Skontorp <karl-ms@online.no>
- Maintainer for RHCN: Karl-Martin Skontorp

* Wed Jun 24 1998 Peter Soos <sp@osb.hu>
- Using %attr to build the package as an ordinary user.

* Sun Dec 28 1997 Peter Soos <sp@osb.hu>
- Added wmconfig support

* Tue Dec 13 1997 Peter Soos <sp@osb.hu>
- Recompiled under RedHat Linux 5.0
- Now we use BuildRoot

